#!/bin/bash

# STAR index

# option here not allowed: --readFilesCommand gunzip

# /../star_idx.sh		# adjust file to your needs

# Ensemble v. 111, Hs
# full: standard Hs genome fasta or gtf file
# use the transcriptome bam result file of STAR for salmon quantifier
#  and the gffread generated fasta


dt1=$(date)

# full fasta, full gtf
STAR --runMode genomeGenerate --runThreadN 22 --genomeDir /on1/star2711x111HU --genomeFastaFiles /on1/genome1_2711/Homo_sapiens.GRCh38.111.dna.primary_assembly.fa --limitGenomeGenerateRAM 163917594890 --sjdbGTFfile /on1/genome1_2711/Homo_sapiens.GRCh38.111.gtf

# for SALMON : modification of a DNA fasta file to a transcriptome fasta file
# gffread is automatically creating a '.fai' fasta index first
# the resulting 'hu.trans...' file needs to be used for the Salmon tool
gffread -w /on1/genome1_2711/hu.trans.GRCh38.111.primary.fa -g /on1/genome1_2711/Homo_sapiens.GRCh38.111.dna.primary_assembly.fa /on1/genome1_2711/Homo_sapiens.GRCh38.111.gtf


# run time
dt2=$(date)
echo ""
echo $dt1
echo $dt2



